@use '../../../global/styles/styles-variables' as *;
@use '../../../global/styles/utilities' as *;
@use './styles/notification-alert.variables' as *;
@use './styles/notification-alert.variations' as variations;

:host {
	@include digi-notification-alert--variables;

	.digi-notification-alert {
		position: relative;

		&--variation-info {
			@include variations.info;
		}

		&--variation-success {
			@include variations.success;
		}

		&--variation-danger {
			@include variations.danger;
		}

		&--variation-warning {
			@include variations.warning;
		}

		&--size-large {
			@include variations.large;
		}

		&--size-medium {
			@include variations.medium;
		}

		&--size-small {
			@include variations.small;

			.digi-notification-alert__close-button__text {
				@include digi--a11y--sr-only;
			}
		}

		&--closeable {
			.digi-notification-alert__wrapper {
				display: flex;
				justify-content: space-between;
				flex-direction: row-reverse;
			}
			.digi-notification-alert__text {
				padding-right: 0;
			}
		}

		&__layout {
			--digi--layout-media-object--gutter: 0;
		}

		&__icon {
			background: var(--ICON--BACKGROUND);
			padding: var(--ICON--PADDING);
			display: flex;
			align-items: center;
			justify-content: center;
			height: 100%;
			box-sizing: border-box;

			> * {
				--digi--icon--width: var(--ICON--WIDTH);
				--digi--icon--color: var(--ICON--COLOR);
			}
		}

		&__wrapper {
			display: flex;
			border: var(--BORDER);
			background-color: var(--digi--color--background--primary);
			border-left: none;
			height: 100%;
			box-sizing: border-box;
		}

		&__text {
			padding: var(--digi--gutter--largest);
		}

		&__close-button {
			--digi--button--color--function: var(--digi--color--text--primary);
			--digi--button--color--function--hover: var(--digi--color--text--primary);

			&__text {
				@media screen and (max-width: $digi--breakpoint--small) {
					@include digi--a11y--sr-only;
				}
			}
		}

		&__heading {
			font-family: var(--digi--global--typography--font-family--default);
			font-size: var(--digi--notification-alert--heading--font-size);
			font-weight: var(--digi--notification-alert--heading--font-weight);
			color: var(--digi--color--text--primary);
			margin: 0;
			display: block;

			@media (min-width: $digi--breakpoint--large) {
				font-size: var(--digi--notification-alert--heading--font-size--large);
			}

			&:focus {
				outline: none;
			}
		}

		&__content {
			> * {
				--digi--typography--max-width: var(--MAX-WIDTH);
				--digi--typography--margin-top--text: var(--digi--gutter--small);
			}
		}

		max-width: var(--MAX-WIDTH);
	}
}
